# livelike_flutter_sdk

### The Official Flutter LiveLike SDK

[Documentation](https://docs.livelike.com/docs/getting-started-1)

[HomePage](https://livelike.com/)

#### Create Engagement SDK instance
```dart
final sdk = EngagementSDK("<client-id>");
```
#### Create Engagement SDK instance with access token support
```dart
final sdk = EngagementSDK.accessToken("<client-id>","<saved-access-token>",(accessToken){
      //fetched access token
});
```

#### Error Delegate Support
```dart
sdk.errorStream.listen((error) {
      print("Error: $error");
      //Getting error from any where from the sdk
    });
```


#### ChatView
```dart
ChatView(key: Key("${chatSession.chatRoomId}"),
         session:chatSession!);
```